Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLBuilder

    java.lang.Object
      weblogic.apache.html.dom.HTMLBuilder

All Implemented Interfaces:
  DocumentHandler

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLBuilder.

    public class HTMLBuilder

extends Object
implements DocumentHandler

This is a SAX document handler that is used to build an HTML document. It can build a document from any SAX parser, but is specifically tuned for working with the OpenXML HTML parser.

Field Summary
`protected ElementImpl` | `_current` Deprecated. The current node in the document into which elements, text and other nodes will be inserted.
`protected HTMLDocumentImpl` | `_document` Deprecated. The document that is being built.
`protected Vector` | `_preRootNodes` Deprecated. The document is only created the same time as the document element, however, certain nodes may precede the document element (comment and PI), and they are accumulated in this vector.

Constructor Summary
`HTMLBuilder()` Deprecated.

Method Summary
`void` | `characters(char[] text, int start, int length)` Deprecated.
`void` | `characters(String text)` Deprecated.
`void` | `endDocument()` Deprecated.
`void` | `endElement(String tagName)` Deprecated.
`org.w3c.dom.html.HTMLDocument` | `getHTMLDocument()` Deprecated.
`void` | `ignorableWhitespace(char[] text, int start, int length)` Deprecated.
`void` | `processingInstruction(String target, String instruction)` Deprecated.
`void` | `setDocumentLocator(Locator locator)` Deprecated.
`void` | `startDocument()` Deprecated.
`void` | `startElement(String tagName, AttributeList attrList)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _document

    protected HTMLDocumentImpl _document

  Deprecated.
  The document that is being built.

### _current

    protected ElementImpl _current

  Deprecated.
  The current node in the document into which elements, text and other nodes will be inserted. This starts as the document iself and reflects each element that is currently being parsed.

### _preRootNodes

    protected Vector _preRootNodes

  Deprecated.
  The document is only created the same time as the document element, however, certain nodes may precede the document element (comment and PI), and they are accumulated in this vector.

Constructor Detail

### HTMLBuilder

    public HTMLBuilder()

  Deprecated.

Method Detail

### startDocument

    public void startDocument()
                       throws SAXException

  Deprecated.
  Specified by:
    `startDocument` in interface `DocumentHandler`
  Throws:
    `SAXException`

### endDocument

    public void endDocument()
                     throws SAXException

  Deprecated.
  Specified by:
    `endDocument` in interface `DocumentHandler`
  Throws:
    `SAXException`

### startElement

    public void startElement(String tagName,
                             AttributeList attrList)
                      throws SAXException

  Deprecated.
  Specified by:
    `startElement` in interface `DocumentHandler`
  Throws:
    `SAXException`

### endElement

    public void endElement(String tagName)
                    throws SAXException

  Deprecated.
  Specified by:
    `endElement` in interface `DocumentHandler`
  Throws:
    `SAXException`

### characters

    public void characters(String text)
                    throws SAXException

  Deprecated.
  Throws:
    `SAXException`

### characters

    public void characters(char[] text,
                           int start,
                           int length)
                    throws SAXException

  Deprecated.
  Specified by:
    `characters` in interface `DocumentHandler`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] text,
                                    int start,
                                    int length)
                             throws SAXException

  Deprecated.
  Specified by:
    `ignorableWhitespace` in interface `DocumentHandler`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String instruction)
                               throws SAXException

  Deprecated.
  Specified by:
    `processingInstruction` in interface `DocumentHandler`
  Throws:
    `SAXException`

### getHTMLDocument

    public org.w3c.dom.html.HTMLDocument getHTMLDocument()

  Deprecated.

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Deprecated.
  Specified by:
    `setDocumentLocator` in interface `DocumentHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD